[ARVADOS] updated: 1.2.0-267-gba4464e2f
Git user
git at public.curoverse.com
Thu Oct 25 20:55:14 EDT 2018
Summary of changes:
build/run-tests.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
via ba4464e2f05b5d9fc0e2445382330255fe857524 (commit)
from cb4e95b683eda5c503956818ce8bbc2af7d8414b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit ba4464e2f05b5d9fc0e2445382330255fe857524
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Thu Oct 25 20:54:00 2018 -0400
Make geckodriver sanity check non-fatal.
Allows non-workbench test runs to pass without geckodriver.
refs #14407
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 9660fcf0e..9674ad5d4 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -246,7 +246,7 @@ sanity_checks() {
echo -n 'graphviz: '
dot -V || fatal "No graphviz. Try: apt-get install graphviz"
echo -n 'geckodriver: '
- geckodriver --version | grep ^geckodriver || fatal "No geckodriver. Try: wget -O- https://github.com/mozilla/geckodriver/releases/download/v0.23.0/geckodriver-v0.23.0-linux64.tar.gz | sudo tar -C /usr/local/bin -xzf - geckodriver"
+ geckodriver --version | grep ^geckodriver || echo "No geckodriver. Try: wget -O- https://github.com/mozilla/geckodriver/releases/download/v0.23.0/geckodriver-v0.23.0-linux64.tar.gz | sudo tar -C /usr/local/bin -xzf - geckodriver"
if [[ "$NEED_SDK_R" = true ]]; then
# R SDK stuff
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list